Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 333309 - media-gfx/ocrfeeder: ebuild request
Summary: media-gfx/ocrfeeder: ebuild request
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High enhancement with 2 votes (vote)
Assignee: Default Assignee for New Packages
URL: http://live.gnome.org/OCRFeeder
Whiteboard:
Keywords:
Depends on: 563908
Blocks:
  Show dependency tree
 
Reported: 2010-08-18 12:39 UTC by Miguel Sanjurjo
Modified: 2015-10-23 22:24 UTC (History)
9 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
OCRFeeder version 0.7 (rev 1) (ocrfeeder-0.7.ebuild,1.19 KB, text/plain)
2010-11-05 23:09 UTC, Henrik
Details
OCRFeeder version 0.7 (rev 2) (ocrfeeder-0.7.ebuild,1.67 KB, text/plain)
2010-11-05 23:50 UTC, Henrik
Details
fixed and updated ebuild (ocrfeeder-0.7.1a.ebuild,1.48 KB, text/plain)
2010-12-13 12:10 UTC, Nikoli
Details
updated ebuild for version 0.7.6 (ocrfeeder-0.7.6.ebuild,1.29 KB, text/plain)
2011-10-16 18:14 UTC, Sander Sweers
Details
PIL hash collision patch (ocrfeeder-0.7.6-fix-PIL-hashcollision.patch,3.02 KB, patch)
2011-10-16 18:15 UTC, Sander Sweers
Details | Diff
pyodf unbundle (ocrfeeder-0.7.6-pyodf-unbundle.patch,1.95 KB, patch)
2011-10-16 18:15 UTC, Sander Sweers
Details | Diff
Updated ebuild v2 for 0.7.6 (ocrfeeder-0.7.6.ebuild,1.31 KB, text/plain)
2012-01-21 08:11 UTC, Josh Holmer
Details
ebuild for ocrfeeder-0.7.7 (ocrfeeder-0.7.7.ebuild,1.39 KB, text/plain)
2012-02-02 20:17 UTC, Josh Holmer
Details
updated ebuild for ocrfeeder-0.7.11 (ocrfeeder-0.7.11.ebuild,1.63 KB, text/plain)
2014-06-07 02:46 UTC, Stefan Langenmaier
Details
ocrfeeder patch to add a zbar default configuration (ocrfeeder-0.7.11-zbar-default-configuration.patch,828 bytes, patch)
2014-06-07 02:48 UTC, Stefan Langenmaier
Details | Diff
ocrfeeder-0.8.1.ebuild (ocrfeeder-0.8.1.ebuild,2.01 KB, text/plain)
2015-10-23 22:22 UTC, Fabio Rossi
Details
ocrfeeder-0.8.1-pyodf-unbundle.patch (ocrfeeder-0.8.1-pyodf-unbundle.patch,1.93 KB, patch)
2015-10-23 22:23 UTC, Fabio Rossi
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Miguel Sanjurjo 2010-08-18 12:39:42 UTC
OCRFeeder is a document layout analysis and optical character recognition system.

Hi. Please add this application to the portage tree. Fills a gap between tesseract OCR engine and GNOME.

Reproducible: Always
Comment 1 Henrik 2010-11-05 23:09:05 UTC
Created attachment 253355 [details]
OCRFeeder version 0.7 (rev 1)

Test on an x86 works 100%

(Comment: app-text/unpaper-0.3 test on an x86 works 100%)
Comment 2 Henrik 2010-11-05 23:50:32 UTC
Created attachment 253357 [details]
OCRFeeder version 0.7 (rev 2)

Adds IUSE check that have been removed.
Comment 3 Leho Kraav (:macmaN @lkraav) 2010-11-09 00:32:26 UTC
works well, should be added to the tree
Comment 4 Nikoli 2010-12-13 12:10:56 UTC
Created attachment 257021 [details]
fixed and updated ebuild
Comment 5 Rajmund Klonowski 2011-01-26 13:50:01 UTC
Doesn't work on amd64. When started in terminal with „ocrfeeder” command, gives:
Traceback (most recent call last):
  File "/usr/bin/ocrfeeder", line 27, in <module>
    from ocrfeeder.studio.studioBuilder import Studio
  File "/usr/lib64/python2.6/site-packages/ocrfeeder/studio/studioBuilder.py", line 21, in <module>
    from ocrfeeder.util import lib
  File "/usr/lib64/python2.6/site-packages/ocrfeeder/util/lib.py", line 29, in <module>
    import sane
ImportError: No module named sane
Comment 6 Rajmund Klonowski 2011-01-26 15:03:03 UTC
(In reply to comment #5)
> Doesn't work on amd64. When started in terminal with „ocrfeeder” command,
> gives:
> Traceback (most recent call last):
>   File "/usr/bin/ocrfeeder", line 27, in <module>
>     from ocrfeeder.studio.studioBuilder import Studio
>   File "/usr/lib64/python2.6/site-packages/ocrfeeder/studio/studioBuilder.py",
> line 21, in <module>
>     from ocrfeeder.util import lib
>   File "/usr/lib64/python2.6/site-packages/ocrfeeder/util/lib.py", line 29, in
> <module>
>     import sane
> ImportError: No module named sane
> 

This gets fixed with adding „scanner” global USE flag and emerge -uDNva ocrfeeder. Although now it still doesn't start, calling:

Traceback (most recent call last):
  File "/usr/bin/ocrfeeder", line 27, in <module>
    from ocrfeeder.studio.studioBuilder import Studio
  File "/usr/lib64/python2.6/site-packages/ocrfeeder/studio/studioBuilder.py", line 26, in <module>
    import widgetPresenter
  File "/usr/lib64/python2.6/site-packages/ocrfeeder/studio/widgetPresenter.py", line 28, in <module>
    from enchant.checker import SpellChecker
ImportError: No module named enchant.checker
Comment 7 Sander Sweers 2011-10-16 18:14:55 UTC
Created attachment 289967 [details]
updated ebuild for version 0.7.6

This is a modified ebuild to make things work with version 0.7.6.
It needs a patch to fix a hash collision for PIL and I put the unbundling of pyodf in another as we are parching anyway.
Comment 8 Sander Sweers 2011-10-16 18:15:24 UTC
Created attachment 289969 [details, diff]
PIL hash collision patch
Comment 9 Sander Sweers 2011-10-16 18:15:44 UTC
Created attachment 289971 [details, diff]
pyodf unbundle
Comment 10 Josh Holmer 2012-01-21 08:11:34 UTC
Created attachment 299435 [details]
Updated ebuild v2 for 0.7.6

This is a fixed version of the previous 0.7.6 ebuild. This version properly brings in dev-python/reportlab as a dependency.
Comment 11 Josh Holmer 2012-02-02 20:17:27 UTC
Created attachment 300821 [details]
ebuild for ocrfeeder-0.7.7

Ebuild updated to ocrfeeder-0.7.7.
Comment 12 Stefan Langenmaier 2014-06-07 02:46:54 UTC
Created attachment 378408 [details]
updated ebuild for ocrfeeder-0.7.11

This fixes a problem with the python version as nowadays python2 is no longer the default.

It adds also a USE flag for zbar.
Comment 13 Stefan Langenmaier 2014-06-07 02:48:41 UTC
Created attachment 378410 [details, diff]
ocrfeeder patch to add a zbar default configuration

This patch is necessary for the updated ebuild.
It adds a default configuration for zbar.
Comment 14 b1254633 2015-03-26 11:45:08 UTC
OCRFeeder 0.8.1 is out!

Please, add it in portage
Comment 15 Fabio Rossi 2015-10-23 22:22:05 UTC
Created attachment 415308 [details]
ocrfeeder-0.8.1.ebuild
Comment 16 Fabio Rossi 2015-10-23 22:23:11 UTC
Created attachment 415310 [details, diff]
ocrfeeder-0.8.1-pyodf-unbundle.patch
Comment 17 Fabio Rossi 2015-10-23 22:24:53 UTC
the ebuild depends on another package, dev-python/python-sane, not yet in portage. Have a look at the depending bugs!